CVE-2017-11468 Red Hat Update for docker-distribution (RHSA-2017:2603)

漏洞类别:RedHat

漏洞等级:

漏洞信息

The docker-distribution package provides the tool set to support the Docker Registry version 2.

It was found that docker-distribution did not properly restrict memory allocation size for a registry instance through the manifest endpoint. An attacker could send a specially crafted request that would exhaust the memory of the docker-distribution service. (CVE-2017-11468)

Affected Products
Red Hat Enterprise Linux Server 7 x86_64
Red Hat Enterprise Linux for Power, little endian 7 ppc64le

漏洞危害

An attacker could send a specially crafted request that would exhaust the memory of the docker-distribution service.

解决方案

Upgrade to the latest packages which contain a patch. Refer to Applying Package Updates to RHEL system for details.

Refer to Red Hat security advisory RHSA-2017:2603 to address this issue and obtain more information.

Patch:
Following are links for downloading patches to fix the vulnerabilities:

RHSA-2017:2603: Red Hat Enterprise Linux

Leave a Reply